Summary:        Framework for more readable interactive test scripts
Name:           perl-Test-Inter
Version:        1.10
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Inter
Source0:        https://cpan.metacpan.org/authors/id/S/SB/SBECK/Test-Inter-%{version}.tar.gz
# https://github.com/SBECK-github/Test-Inter/pull/3

BuildArch:      noarch
BuildRequires:  make coreutils
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)
# Run-time:
BuildRequires:  perl(Cwd) perl(File::Basename) perl(IO::File) perl(lib)
# Tests only:
BuildRequires:  perl(Config)
BuildRequires:  perl(Storable) >= 1.01
BuildRequires:  perl(Test::More)

Requires:       perl(lib)

%description
This is another framework for writing test scripts. It is loosely inspired
by Test::More, and has most of it's functionality, but it is not a drop-in
replacement.


%prep
%autosetup -n Test-Inter-%{version} -p1
chmod -x examples/*


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%license LICENSE
%doc Changes README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10-2
- Rebuilt for loongarch release

* Mon Dec 11 2023 Upgrade Robot <upbot@opencloudos.org> - 1.10-1
- Upgrade to version 1.10

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.09-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 rockerzhu <rockerzhu@tencent.com> - 1.09-1
- Initial build
